#include<bits/stdc++.h>

using namespace std;

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0);

    int t;

    cin >> t;

    while(t--)
    {
        long long n,m,k;

        cin >> n;
        cin >> m;
        cin >> k;

        if(((n/k)*(n/k+1)/2) + (((n/k)+1) * (n%k))<=m)
        {
            cout << "Tak" << endl;
        }
        else 
        {
            cout << "Nie" << endl;
        }
    }

    return 0;
}